Sync apt-cacher-ng 0.4.9-2 (universe) from Debian unstable (main)

Bug #604350 reported by Felix Geyer on 2010-07-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt-cacher-ng (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync apt-cacher-ng 0.4.9-2 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
> * update-manager -d requires access to the DevelReleaseAnnouncement
> accessing it with a ?lang=foo suffix. Add this to the persistant
> files list. LP: #601883.
I forwarded this patch to Debian and it has been fixed in 0.4.9-2.

> * Fix no matching function for call to stat::stat(const char*,
> stat*) error and hence FTBFS LP: #596452
Fixed in 0.4.8-1.

Additionally the Ubuntu package has been converted to source format 3.0
but that's not a good reason to diverge from Debian.

Changelog entries since current maverick version 0.4.7-1ubuntu3:

apt-cacher-ng (0.4.9-2) unstable; urgency=low

  * Minor change to support Ubuntu release notes delivery with GET
    parameters (closes: #588662)

 -- Eduard Bloch <email address hidden> Sun, 11 Jul 2010 11:06:49 +0200

apt-cacher-ng (0.4.9-1) unstable; urgency=low

  * New upstream version
    + fixes LFS settings inconsistencies (closes: #588048), thanks
      to M. Vefa Bicakci

 -- Eduard Bloch <email address hidden> Tue, 06 Jul 2010 00:59:21 +0200

apt-cacher-ng (0.4.8-1) unstable; urgency=low

  * New upstream version
    + fixes FTBFS with recent glibc (Ubuntu bug 596452)
    + adds ddeb files to package filter (Ubuntu bug 596075)
    + allow pass-through mode for specified domains/URLs (Ubuntu bug 530524)
    + modified regex creation (only at startup time now), may be a workaround
      for Debian bug #571536, Ubuntu bugs 523408, 532353, 585957

 -- Eduard Bloch <email address hidden> Fri, 02 Jul 2010 08:40:07 +0200

Charlie_Smotherman (cjsmo) wrote :

Sync request ACK'd

Changed in apt-cacher-ng (Ubuntu):
status: New → Triaged
Jonathan Riddell (jr) wrote :

2010-07-14 10:26:11 INFO - <apt-cacher-ng_0.4.9-2.dsc: downloading from http://ftp.debian.org/debian/>
[Updating] apt-cacher-ng (0.4.7-1ubuntu3 [Ubuntu] < 0.4.9-2 [Debian])
 * Trying to add apt-cacher-ng...
2010-07-14 10:26:11 INFO - <apt-cacher-ng_0.4.9-2.diff.gz: downloading from http://ftp.debian.org/debian/>
2010-07-14 10:26:11 INFO - <apt-cacher-ng_0.4.9.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: apt-cacher-ng [universe] -> apt-cacher-ng_0.4.7-1ubuntu3 [universe].

Changed in apt-cacher-ng (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers